[SciPy-user] numpy build problems...

Robert Kern robert.kern at gmail.com
Thu Jan 25 17:56:38 CST 2007


James Evans wrote:
> I am attempting to build numpy-1.0.1 and am seeing incorrect behavior.
> 
>  
> 
> I am using Python-2.4.4 (built as a shared library).
> 
> I have a regular build of lapack/atlas on my system.
> 
> I have modified the site.cfg file to point to the correct lib dir.
> 
>  
> 
> Following is what I get when I type “python setup.py build”
> 
> (truncated for readability, see attached for full details)
> 
>  
> 
> Apparently the link step is doing two things wrong:
> 
> 1) Not linking against python, which this is dependant upon.
> 
> 2) Not specifying the '-shared' flag

This usually happens when you have $CFLAGS or $LDFLAGS set. These *override* the
default flags rather than add to them.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list